# Fetching a single Custom Field Value

This endpoint returns structured Custom Field Value objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `custom_field_values` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /custom_field_values/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `custom_field` (CustomField) - Retrieves the custom field the value is for. The response will include `custom_field_id`, which references the data in the `custom_fields` top-level key.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `selected_choices` (CustomFieldChoice) - Retrieves the custom field choice that corresponds to the custom field value. The response will include `selected_choice_ids`, which references the data in the `custom_field_choices` top-level key.
- `setter` (User) - Retrieves the user that set the custom field value. The response will include `setter_id`, which references the data in the `users` top-level key.
- `subject` (polymorphic) - Retrieves the object which the custom field value is for. The response will include `subject_ref`, which references the data in the top-level key specified in the `key` field of `subject_ref`. The possible objects are as follows:
* `Estimate`
* `Workspace` (Project)
* `WorkspaceGroup` (Group)
* `Resource`
* `Story` (Task)
* `User`.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

